> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sajuapi.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 웹훅 삭제

<Info>
  **v1 Enterprise API (Coming Soon)**

  이 엔드포인트는 Enterprise 버전에서 제공될 예정입니다.
  현재는 [v0 API](/api-reference/v0/overview)를 사용하세요.
</Info>

웹훅을 삭제합니다. 삭제된 웹훅은 더 이상 이벤트를 수신하지 않습니다.

<Warning>
  이 작업은 되돌릴 수 없습니다. 삭제된 웹훅의 시크릿과 전송 기록은 복구할 수 없습니다.
</Warning>

***

## Path 파라미터

<ParamField path="id" type="string" required>
  삭제할 웹훅의 ID입니다. `whk_` 접두사로 시작합니다.
</ParamField>

***

## Response

### 성공

웹훅 삭제에 성공하면 삭제 확인 정보가 반환됩니다.

### 실패

| 상태 코드 | 에러 타입                  | 설명             |
| ----- | ---------------------- | -------------- |
| 401   | `authentication_error` | API 키가 유효하지 않음 |
| 404   | `not_found`            | 웹훅을 찾을 수 없음    |
| 429   | `rate_limited`         | 요청 한도 초과       |

***

## 요청 예시

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE https://api.sajuapi.dev/v1/webhooks/whk_abc123def456 \
    -H "X-API-Key: bs_live_xxx"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.sajuapi.dev/v1/webhooks/whk_abc123def456',
    {
      method: 'DELETE',
      headers: {
        'X-API-Key': 'bs_live_xxx'
      }
    }
  );

  const result = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      'https://api.sajuapi.dev/v1/webhooks/whk_abc123def456',
      headers={'X-API-Key': 'bs_live_xxx'}
  )

  result = response.json()
  ```
</CodeGroup>

***

## 응답 예시

```json theme={null}
{
  "id": "whk_abc123def456",
  "deleted": true,
  "deleted_at": "2025-01-16T15:00:00Z"
}
```

***

## 응답 필드

| 필드           | 타입      | 설명                         |
| ------------ | ------- | -------------------------- |
| `id`         | string  | 삭제된 웹훅의 ID입니다.             |
| `deleted`    | boolean | 삭제 성공 여부입니다. 항상 `true`입니다. |
| `deleted_at` | string  | 삭제 시간입니다. ISO 8601 형식입니다.  |
